=== debian/changelog ===
ettercap (1:0.7.5.3-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 02 Feb 2013 18:33:19 +0000

ettercap (1:0.7.5.2-2) unstable; urgency=low

  * Merge ongoing upstream mods per upstream request
    - version number
    - changelog
    - options --certificate and --private-key

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 30 Jan 2013 15:53:55 +0000

ettercap (1:0.7.5.2-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 29 Jan 2013 16:01:52 +0000

ettercap (1:0.7.5.1-3) unstable; urgency=low

  * remove bogus but harmlessly dead code from patch for CVE-2013-0722

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 17 Jan 2013 23:19:55 +0000

ettercap (1:0.7.5.1-2) unstable; urgency=low

  * merge upstream patch for CVE-2013-0722 a stack-based buffer overflow
    when parsing hosts list (closes: #697987)
  * merge upstream patch for clang compilation issue

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 14 Jan 2013 10:19:40 +0000

ettercap (1:0.7.5.1-1) unstable; urgency=low

  * update patches
  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 04 Jan 2013 18:16:56 +0100

ettercap (1:0.7.5-5) unstable; urgency=low

  * add version dependency for curl library, per upstream reqs
  * postinst code swizzles doc dirs to symlinks (closes: #693487)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 17 Nov 2012 01:07:34 +0000

ettercap (1:0.7.5-4) unstable; urgency=low

  * use proper debhelper documentation directory link option
  * add debugging symbols package ettercap-dbg

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 28 Oct 2012 22:04:20 +0000

ettercap (1:0.7.5-3) unstable; urgency=low

  * put back version in conflicts with ettercap (closes: #691478)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 26 Oct 2012 12:45:37 +0100

ettercap (1:0.7.5-2) unstable; urgency=low

  * build dependency on ghostscript for ps2pdf, used by cmake scripts to
    convert man pages to pdf; not included in the Debian packages.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 26 Oct 2012 08:44:51 +0100

ettercap (1:0.7.5-1) unstable; urgency=low

  * New upstream release from new upstream team
    - switch to cmake build system
    - various fiddly fixes (closes: #691465)
  * Modify packaging scripts for new cmake build system.
  * General packaging updates.
  * Depend on menu for su-to-root in menu file (closes: #670840)
  * Misc patches, including
    - gadu-gadu plugin, so avoid removing functionality
    - spelling and man page fixes
    - desktop file and scalable icon
    - post-release upstream patch avoiding sslstrip.so promiscuous linkage

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 26 Oct 2012 00:20:00 +0100
