=== debian/control ===
Source: ettercap
Section: net
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Uploaders: Murat Demirten <murat@debian.org>
Build-Depends: debhelper (>= 9),
	cmake,
	bison | bison++ | byacc | byacc-j | yacc | btyacc,
	flex | lex,
	libgtk2.0-dev,
	libltdl3-dev,
	libncurses-dev | libncurses5-dev,
	libnet1-dev,
	libpcap-dev | libpcap0.8-dev,
	libpcre3-dev,
	libssl-dev,
	libcurl4-openssl-dev (>= 7.26) | libcurl-ssl-dev | libcurl-dev,
	ghostscript,
Standards-Version: 3.9.4
Homepage: http://ettercap.sourceforge.net
Vcs-Git: git://github.com/barak/ettercap.git
Vcs-Browser: http://github.com/barak/ettercap

Package: ettercap-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ettercap-graphical | ettercap-text-only
Replaces: ettercap-plugins
Conflicts: ettercap-plugins, ettercap (<= 1:0.7.3)
Description: Multipurpose sniffer/interceptor/logger for switched LAN
 Ettercap supports active and passive dissection of many protocols 
 (even encrypted ones) and includes many feature for network and host 
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes are implemented, for a powerful and complete 
 sniffing suite. It is possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 Ettercap also has the ability to detect a switched LAN, and to use OS
 fingerprints (active or passive) to find the geometry of the LAN.
 .
 This package contains the Common support files, configuration files,
 plugins, and documentation.  You must also install either
 ettercap-graphical or ettercap-text-only for the actual GUI-enabled
 or text-only ettercap executable, respectively.

Package: ettercap-text-only
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ettercap-common (= ${binary:Version})
Replaces: ettercap-gtk, ettercap-graphical, ettercap
Conflicts: ettercap-gtk, ettercap-graphical, ettercap (<= 1:0.7.3)
Provides: ettercap
Description: Ettercap console-mode executable
 Ettercap supports active and passive dissection of many protocols 
 (even encrypted ones) and includes many feature for network and host 
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes are implemented, for a powerful and complete 
 sniffing suite. It is possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 Ettercap also has the ability to detect a switched LAN, and to use OS
 fingerprints (active or passive) to find the geometry of the LAN.
 .
 This package contains the ettercap text-mode-only executable.

Package: ettercap-graphical
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ettercap-common (= ${binary:Version}), menu
Replaces: ettercap-gtk, ettercap-text-only, ettercap
Conflicts: ettercap-gtk, ettercap-text-only, ettercap (<= 1:0.7.3)
Provides: ettercap
Recommends: gksu
Description: Ettercap GUI-enabled executable
 Ettercap supports active and passive dissection of many protocols 
 (even encrypted ones) and includes many feature for network and host 
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes are implemented, for a powerful and complete 
 sniffing suite. It is possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 Ettercap also has the ability to detect a switched LAN, and to use OS
 fingerprints (active or passive) to find the geometry of the LAN.
 .
 This package contains the ettercap GUI-enabled executable.

Package: ettercap-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	 ettercap-common (= ${binary:Version}),
	 ettercap-graphical (= ${binary:Version}) | ettercap-text-only (= ${binary:Version})
Description: Debug symbols for Ettercap.
 Ettercap runtime debug symbols.
