=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	@echo main configuration deferred until build, as it must be done twice

# add this when suitable libnet hits Debian: -DENABLE_IPV6=ON
override_dh_auto_build:
	dh_auto_configure -- -DENABLE_GTK=OFF
	dh_auto_build
	mkdir tmp
	mv obj*/src/ettercap ettercap-text-only
	dh_auto_configure -- -DENABLE_GTK=ON
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/sbin
	install --mode=0755 ettercap-text-only debian/tmp/usr/sbin/

override_dh_install:
	dh_install
	mkdir -p debian/ettercap-text-only/usr/sbin
	install --mode=0755 \
	 debian/tmp/usr/sbin/ettercap-text-only \
	 debian/ettercap-text-only/usr/sbin/ettercap
	-rm --verbose debian/ettercap-common/usr/share/ettercap/ettercap.png

override_dh_installdocs:
	dh_installdocs -pettercap-common
	dh_installdocs -Nettercap-common --link-doc=ettercap-common

override_dh_strip:
	dh_strip --dbg-package=ettercap-dbg
