## ettercap 0.7.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.8)
 project(ettercap C)
 
-set(VERSION "0.7.5")
+set(VERSION "0.7.6")
 
 option(ENABLE_CURSES "Enable curses interface" ON)
 option(ENABLE_GTK "Enable GTK interface" ON)
@@ -12,7 +12,10 @@
 set(MACPORTS_BASE_DIRECTORY "/opt/local" CACHE PATH "MacPorts installation base directory")
 set(SPECIAL_LIB_DIR "" CACHE PATH "Special (non-traditional) directory where libraries are installed")
 
+set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMakeModules")
+
 include(CMakeModules/CheckVariableInHeaders.cmake)
+include(CMakeModules/FindLIBNET.cmake)
 include(CMakeFiles/os_test.cmake)
 
 #Check and see if we're running Darwin, specify the CMAKE_LIBARY_PATH to do so
@@ -49,7 +52,6 @@
 set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-export-dynamic" CACHE STRING "" FORCE)
 endif(OS_DARWIN)
 
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/CMakeModules)
 
 
 include_directories(include)
@@ -74,3 +76,20 @@
 # This line should ALWAYS be after all options are defined
 configure_file(include/config.h.cmake ${CMAKE_SOURCE_DIR}/include/config.h)
 
+
+# Add a target that will ensure that the build directory is properly cleaned.
+add_custom_target(clean-all
+  COMMAND ${CMAKE_COMMAND} -P ${CMAKE_SOURCE_DIR}/CMakeFiles/clean-all.cmake
+)
+
+# If we notice that this isn't the first time they've run 
+if(NOT ("${CMAKE_CACHEFILE_DIR}" STREQUAL ""))
+  message("")
+  message("HAVING TROUBLE BUILDING ETTERCAP? ")
+  message("")
+  message("  1. Install any missing dependencies")
+  message("  2. run 'make clean-all'")
+  message("  3. run 'cmake ${CMAKE_SOURCE_DIR}'")
+  message("")
+endif(NOT ("${CMAKE_CACHEFILE_DIR}" STREQUAL ""))
+
