=== debian/changelog ===
ettercap (1:0.7.6-1~ubuntu12.10.1) quantal-backports; urgency=low

  * No-change backport to quantal (LP: #1161379)

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 01 May 2013 18:01:01 +0200

ettercap (1:0.7.6-1) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream version
  * Dropped version dependency for curl (fixed in cmake)

  [ Barak A. Pearlmutter ]
  * Tweak debian/watch to point to official upstream only

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 27 Mar 2013 11:44:17 +0000

ettercap (1:0.7.5.3-2) unstable; urgency=low

  * tweak debian/rules to enable IPv6 with libnet 1.1.6 or greater

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 25 Feb 2013 22:34:29 +0000
