=== debian/watch ===
version=3

http://ettercap.github.com/ettercap/downloads.html \
(?:.*[/=]|)ettercap[_\-](\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)).*
